From be8df52fa16e3d57983c9695cf2ea42563fb0073 Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Sun, 12 Sep 2010 13:28:48 +0100
Subject: [PATCH 11/34] use Remove.svc not app.remote_py

---
 gnumed/gnumed/client/ProxiedWeb/gui/TestPanel.py |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/TestPanel.py b/gnumed/gnumed/client/ProxiedWeb/gui/TestPanel.py
index a298f3c..e753f04 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gui/TestPanel.py
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/TestPanel.py
@@ -11,6 +11,8 @@ from pyjamas.ui.ListBox import ListBox
 from pyjamas.ui.Grid import Grid
 from pyjamas.ui import HasAlignment
 
+import Remote
+
 #======================================================
 class cTestPanel(VerticalPanel):
     def __init__(self, app, **kwargs):
@@ -73,16 +75,16 @@ class cTestPanel(VerticalPanel):
         # demonstrate proxy & callMethod()
         if sender == self.button_action:
             if method == self.METHOD_ECHO:
-                id = self.app.remote_py.echo("Hello", self)
+                id = Remote.svc.echo("Hello", self)
             elif method == self.METHOD_DOCTYPES:
-                id = self.app.remote_py.get_doc_types(self)
+                id = Remote.svc.get_doc_types(self)
             elif method == self.METHOD_UPPERCASE:
-                id = self.app.remote_py.get_schema_version(self)
+                id = Remote.svc.get_schema_version(self)
             elif method == self.METHOD_LOWERCASE:
-                id = self.app.remote_py.doSomething(self)
+                id = Remote.svc.doSomething(self)
             elif method == self.METHOD_GETDOCS:
                 key = int(self.dockey.getText()) # TODO: check it!
-                id = self.app.remote_py.get_documents(key, self)
+                id = Remote.svc.get_documents(key, self)
 
     #--------------------------------------------------
     def onRemoteResponse(self, response, request_info):
-- 
1.7.1

